Subject: Re: [PATCH] i2c-ibm_iic driver

From: Sean MacLennan <[email-masked]>
Date: Sat, 05 Jan 2008 13:36:17 -0500

Arnd Bergmann wrote:
> On Saturday 05 January 2008, Stefan Roese wrote:
>   
>>> This is probably not specific enough. I'm rather sure that someone at IBM
>>> has implemented an i2c chip that this driver doesn't support. Maybe
>>>
>>>       .compatible = "ibm,405-iic"
>>>
>>> or similar would be a better thing to check for.
>>>       
>>         .compatible = "ibm,4xx-iic"
>>
>> please, since 405 and 440 have the same I2C controller.
>>
>>     
>
> But that's not how compatible properties work -- they should not
> contain wildcards. If you have different devices that are
> backwards compatible, you should list the older one in all
> newer devices, e.g. the 440 can list that it is compatible
> with both ibm,405-iic and ibm,440-iic. If there was an earlier
> 401 that had iic as well, you may even want to include that
> in the device tree.
>
> 	Arnd <><
>   
Ok. The 44x based .dts files do not list 405-iic, so would I think I 
will add two compatibility matches, one for 405 and one for 440EP. That 
way I do not break all the current .dts files. Everybody ok with that?

Cheers,
    Sean